<ng-container *transloco="let t">

  <moe-manga-action-button
    #button
    icon="star"
    [loading]="ratingLoading()">

    @if (manga().myRating; as rating) {
      <ng-template actionButtonContent>{{ rating.value }}</ng-template>
    }

    <ng-template actionButtonOverlayContent>
      <mat-card class="rating-select-overlay dense-2">
        <mat-selection-list #list [multiple]="false">
          @if (manga()) {
            <mat-list-option [value]="null" [selected]="!manga().myRating?.value">
              {{ t('COMMON.MANGA_RATING.NONE') }}
            </mat-list-option>
          }

          @for (item of mangaRatings | keyvalue; track item.key) {
            <mat-list-option
              [value]="item.key"
              [selected]="item.key === manga().myRating?.value">
              ({{ item.key }})
              {{ t('COMMON.MANGA_RATING.' + item.value) }}
            </mat-list-option>
          }
        </mat-selection-list>

        <button
          mat-flat-button
          color="primary"
          (click)="handleStatusChange(list.selectedOptions.selected[0].value); button.toggleOverlay()">
          {{ t('PAGES.MANGA.RATE_BUTTON.APPLY') }}
        </button>
      </mat-card>
    </ng-template>
  </moe-manga-action-button>
</ng-container>
